Bug 243642 - Review Request: schroedinger - Portable libraries for the high quality Dirac video codec
Summary: Review Request: schroedinger - Portable libraries for the high quality Dirac ...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Nielsen
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-11 06:17 UTC by Jeffrey C. Ollie
Modified: 2010-12-13 18:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-20 17:25:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gnomeuser: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Jeffrey C. Ollie 2007-06-11 06:17:52 UTC
Spec URL: http://repo.ocjtech.us/misc/fedora/development/SRPMS/schroedinger-0.6.1-1.fc8.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/development/SRPMS/schroedinger-0.6.1-1.fc8.src.rpm
Description: 

The Schrödinger project will implement portable libraries for the high
quality Dirac video codec created by BBC Research and
Development. Dirac is a free and open source codec producing very high
image quality video.

The Schrödinger project is a project done by BBC R&D and Fluendo in
order to create a set of high quality decoder and encoder libraries
for the Dirac video codec.

Comment 1 David Nielsen 2007-06-15 02:44:15 UTC
Yeah that will teach me to search _before_ packaging something, ah well your
spec is a bit more correct than mine anyways. I'll do the review once I unbork mock.

At a casual glance though it looks to be in great shape and it compiles
beautifully on my F8 x86_64 box.

Comment 2 Jason Tibbitts 2007-06-20 06:07:14 UTC
David, are you reviewing this?  If so, please set fedora-review to '?'.

Comment 3 David Nielsen 2007-06-20 07:52:33 UTC
GOOD:
- rpmlint is silent
- Follows naming guidelines
- %{name} matches base package
- Meets packaging guidelines
- License is OSI approved or compatible
- %doc's all required files
- SPEC is in US English
- SPEC is both beautiful and fully readable
- source matches upstream release
- Compile tested fine on x86_64
- All BuildRequires present
- Locale handled correctly 
- Owns all files and directories
- ldconfig called in both post and postun
- Appears relocatable
- No duplicate entries in %files
- all %files sections contain %defattr and permissions appear correct
- Contains %clean and removes buildroot
- consistent use of macros 
- package contains actual code
- runs without documentation
- Headers are in -devel
- library files with a suffix are in -devel
- -devel requires %{name} = %{version}-%{release} 
- no -la files
- does not own files or directories already owned by other packages
- cleans out buildroot before install
- SPEC is valid UTF-8

BAD:
- License field should read LGPL/MIT/MPL as reported by upstream
- -devel package must Requires: pkgconfig as it contains a .pc file

APPROVED, just fix the license field and the Requires before checking this in.
Thank you, if you need a comaintainer for those vacation times and such I'll
happily help out.

Comment 4 Jeffrey C. Ollie 2007-06-20 12:59:21 UTC
Thanks for the review!  I've fixed the issued you noticed in my local copy and
will upload that...

New Package CVS Request
=======================
Package Name: schroedinger
Short Description: Portable libraries for the high quality Dirac video codec
Owners: jeff@ocjtech.us, david@lovesunix.net 
Branches: devel, F-7, FC-6
InitialCC: 

Comment 5 Kevin Fenzi 2007-06-20 16:45:36 UTC
cvs done.

Comment 6 Jeffrey C. Ollie 2007-06-20 17:25:29 UTC
Packages imported and built.

Comment 7 Nicolas Chauvet (kwizart) 2007-06-21 10:43:49 UTC
Can you tell me why this package do not BuildRequires dirac-devel ?

Comment 8 Jeffrey C. Ollie 2007-06-21 12:49:38 UTC
(In reply to comment #7)
> Can you tell me why this package do not BuildRequires dirac-devel ?

Because schroedinger doesn't use the dirac libraries, it's a complete
re-implementation.

Comment 9 Nicolas Chauvet (kwizart) 2010-12-09 16:34:46 UTC
Package Change Request
======================
Package Name: schroedinger
New Branches: el5 el6
Owners: jcollie kwizart

Comment 10 Jason Tibbitts 2010-12-10 14:47:27 UTC
We need an ack from the primary maintainer here.

Comment 11 Jeffrey C. Ollie 2010-12-10 17:07:45 UTC
+1 from me!

Comment 12 Jason Tibbitts 2010-12-13 18:30:16 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.